API RestDatasets
Dernière mise à jour le 20 juillet 2026
Restore a soft-deleted dataset.
Authorization
JwtAuth AuthorizationBearer <token>
In: header
Path Parameters
dataset_id*Dataset Id
Response Body
application/json
curl -X POST "https://example.com/datasets/string/restore"{ "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0", "dataset_name": "string", "message": "string"}Continuer plus loin
PATCHUpdate Dataset Default Access PATCH
Previous Page
DELETEDelete Rows DELETE
Delete a single row (or rows) from a manual dataset. Requirements: - Dataset must not be linked to a source (manual only). - Filters are mandatory and must include all PK columns with op=eq, and no other columns. Examples: - Single PK: ?filter=id:eq:123 - Composite PK: ?filter=id:eq:123&filter=tenant_id:eq:acme